WinUser.AddUserResult (install4j API)
Description: declaration: package: com.install4j.api.windows, class: WinUser, class: AddUserResult

# Class WinUser.AddUserResult

java.lang.Object
com.install4j.api.windows.WinUser.AddUserResult

Enclosing class:
  `WinUser`

public static class WinUser.AddUserResult extends Object
The class of the objects returned by `WinUser.addUser(String, String, String, WinUser.GroupCreationMode, String, String)`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getGroupSid()`
  The SID (Security Identifier) of the used group in String form.
  `WinUser.AddUserResultType`
  `getType()`
  The result type (success / specific errors)
  `String`
  `getUserSid()`
  The SID (Security Identifier) of the created user in String form.
  `boolean`
  `isGroupCreated()`
  Check if the local group was newly created
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getType

    public WinUser.AddUserResultType getType()
    The result type (success / specific errors)
    Returns:
      the result type

  - ### getUserSid

    public String getUserSid()
    The SID (Security Identifier) of the created user in String form. This can be used to unambiguously specify the created user for actions such as 'Install a service' or 'Add Windows file rights'.
    Returns:
      the user SID in String form

  - ### getGroupSid

    public String getGroupSid()
    The SID (Security Identifier) of the used group in String form. This can be used to unambiguously specify the created group for actions such as 'Add Windows file rights'.
    Returns:
      the group sid in String form

  - ### isGroupCreated

    public boolean isGroupCreated()
    Check if the local group was newly created
    Returns:
      `true` if the group was created

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`